
QGIS Application - Bug report #18456

Crash after attempting band math

2018-03-16 09:40 AM - Kai Heckel

Status: Closed

Priority: Low

Assignee:

Category: Raster Calculator

Affected QGIS version:3.0.0 Regression?: No

Operating System: Win 7 64Bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 26344

Description

User Feedback

Report Details

Crash ID: 606995ba13e3a39f2e6ec55cec075719a97e49c6

Stack Trace

memmove :

GDALRasterBand::IRasterIO :

GDALRegister_GTiff :

GDALRasterBand::RasterIO :

GDALWarpOperation::operator= :

GDALWarpOperation::operator= :

QgsRasterCalculator::processCalculation :

QgisApp::showRasterCalculator :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

History

#1 - 2019-01-30 03:01 PM - Peter Petrik

- Status changed from Open to Feedback

Hi, can you please add some steps how to reproduce the error? thanks

#2 - 2019-02-24 01:31 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
